summaryrefslogtreecommitdiffstats
path: root/.local/bin/dunst_espeak.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-x.local/bin/dunst_espeak.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/.local/bin/dunst_espeak.sh b/.local/bin/dunst_espeak.sh
new file mode 100755
index 0000000..3d1aee1
--- /dev/null
+++ b/.local/bin/dunst_espeak.sh
@@ -0,0 +1,7 @@
+#!/usr/local/bin/dash
+
+[ "$5" = "LOW" ] && exit
+echo $3 > $HOME/file
+[ "$3" ] || exit
+words=$(printf "$3" | sed 's/<b>//g' | sed 's/<\/b>//g' | sed 's/[^a-zA-Z0-9?!., ]//g')
+espeak "$words"